SoTabBoxManip(3)

NAME
SoTabBoxManip - The SoTabBoxManip class wraps an SoTabBoxDragger.

SYNOPSIS

#include <Inventor/manips/SoTabBoxManip.h>

Inherits SoTransformManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTabBoxManip (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTabBoxManip (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTabBoxManip class wraps an SoTabBoxDragger. The SoTabBoxManip provides a convenient mechanism for the application programmer for setting up an SoTabBoxDragger in the scene connected to the relevant fields of an SoTransform node.

 Example of TabBox Manipulator

The interaction from the end-user with the manipulator will then automatically influence the transformation matrix for the geometry following it in the scene graph.

Constructor & Destructor Documentation

  SoTabBoxManip::SoTabBoxManip (void)
Constructor sets us up with an SoTabBoxDragger for manipulating a transformation.

  SoTabBoxManip::~SoTabBoxManip (void) [protected], [virtual]
Protected destructor. (SoHandleBoxManip is automatically destructed when its reference count goes to 0.)

Member Function Documentation

  SoType SoTabBoxManip::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTabBoxManip::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformManip.

  const SoFieldData ** SoTabBoxManip::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTabBoxManip::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformManip.

Author

Generated automatically by Doxygen for Coin from the source code.